Call Media - Stop Continuous Dtmf Recognition
Stop continuous Dtmf recognition by unsubscribing to tones.
POST {endpoint}/calling/callConnections/{callConnectionId}:stopContinuousDtmfRecognition?api-version=2026-03-12
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
call
|
path | True |
string |
The call connection id |
|
endpoint
|
path | True |
string (url) |
The endpoint of the Azure Communication Service resource. |
|
api-version
|
query | True |
string |
Version of the API to invoke. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
An Azure Communication Services user access token. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| targetParticipant | True |
Communication |
|
| operationCallbackUri |
string |
Set a callback URI that overrides the default callback URI set by CreateCall/AnswerCall for this operation. This setup is per-action. If this is not set, the default callback URI set by CreateCall/AnswerCall will be used. |
|
| operationContext |
string |
The value to identify context of the operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The service has stopped continuous dtmf recognition. If continuous dtmf recognition was previously started, you will receive the ContinuousDtmfRecognitionStopped event at your specified callback URI. |
|
| Other Status Codes |
Communication |
Error |
Security
Authorization
An Azure Communication Services user access token.
Type:
apiKey
In:
header
Examples
CallMedia_StopContinuousDtmfRecognition
Sample request
POST https://contoso.communications.azure.com/calling/callConnections/18dea47f-b081-4107-9a5c-4300819d2c6c:stopContinuousDtmfRecognition?api-version=2026-03-12
{
"targetParticipant": {
"kind": "communicationUser",
"communicationUser": {
"id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_da7be3a9-8788-42a6-85c6-56b2cf784fce"
}
},
"operationCallbackUri": "https://app.contoso.com/callback"
}
Sample response
Definitions
ContinuousDtmfRecognitionRequest
| Name | Type | Description |
|---|---|---|
| operationCallbackUri |
string |
Set a callback URI that overrides the default callback URI set by CreateCall/AnswerCall for this operation. This setup is per-action. If this is not set, the default callback URI set by CreateCall/AnswerCall will be used. |
| operationContext |
string |
The value to identify context of the operation. |
| targetParticipant |
Communication |